# ApplicationFramework
TKCAF
TFunction

# TFunction_HArray1OfDataMapOfGUIDDriver Class Reference

`#include <TFunction_HArray1OfDataMapOfGUIDDriver.hxx>`

## Public Member Functions

Standard_EXPORT | TFunction_HArray1OfDataMapOfGUIDDriver (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | TFunction_HArray1OfDataMapOfGUIDDriver (const Standard_Integer Low, const Standard_Integer Up, const TFunction_DataMapOfGUIDDriver &V)
Standard_EXPORT void | Init (const TFunction_DataMapOfGUIDDriver &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const TFunction_DataMapOfGUIDDriver &Value)
const TFunction_DataMapOfGUIDDriver & | Value (const Standard_Integer Index) const
TFunction_DataMapOfGUIDDriver & | ChangeValue (const Standard_Integer Index)
const TFunction_Array1OfDataMapOfGUIDDriver & | Array1 () const
TFunction_Array1OfDataMapOfGUIDDriver & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TFunction_Array1OfDataMapOfGUIDDriver | myArray

## Constructor & Destructor Documentation

Standard_EXPORT TFunction_HArray1OfDataMapOfGUIDDriver::TFunction_HArray1OfDataMapOfGUIDDriver | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT TFunction_HArray1OfDataMapOfGUIDDriver::TFunction_HArray1OfDataMapOfGUIDDriver | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const TFunction_DataMapOfGUIDDriver & | V
| ) |

## Member Function Documentation

const TFunction_Array1OfDataMapOfGUIDDriver& TFunction_HArray1OfDataMapOfGUIDDriver::Array1 | ( |  | ) | const

TFunction_Array1OfDataMapOfGUIDDriver& TFunction_HArray1OfDataMapOfGUIDDriver::ChangeArray1 | ( |  | ) |

TFunction_DataMapOfGUIDDriver& TFunction_HArray1OfDataMapOfGUIDDriver::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const TFunction_HArray1OfDataMapOfGUIDDriver::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void TFunction_HArray1OfDataMapOfGUIDDriver::Init | ( | const TFunction_DataMapOfGUIDDriver & | V | ) |

Standard_Integer TFunction_HArray1OfDataMapOfGUIDDriver::Length | ( |  | ) | const

Standard_Integer TFunction_HArray1OfDataMapOfGUIDDriver::Lower | ( |  | ) | const

void TFunction_HArray1OfDataMapOfGUIDDriver::SetValue | ( | const Standard_Integer | Index,
|  | const TFunction_DataMapOfGUIDDriver & | Value
| ) |

Standard_Integer TFunction_HArray1OfDataMapOfGUIDDriver::Upper | ( |  | ) | const

const TFunction_DataMapOfGUIDDriver& TFunction_HArray1OfDataMapOfGUIDDriver::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

TFunction_Array1OfDataMapOfGUIDDriver TFunction_HArray1OfDataMapOfGUIDDriver::myArray `[private]`

The documentation for this class was generated from the following file:

- TFunction_HArray1OfDataMapOfGUIDDriver.hxx